<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <style type="text/css" media="screen">
    @import url('style.css');
    @import url('roundedcorners.css');
  </style>
  <script src="clover.js" type="text/javascript"></script>
  <script src="sorttable.js" type="text/javascript"></script>
<title> HttpCore 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">BasicFutureCallback</span>
            <a class="classlist" target="classPane" href="org/apache/http/concurrent/BasicFutureCallback.html#BasicFutureCallback" title="org.apache.http.concurrent.BasicFutureCallback">BasicFutureCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DummyHttpMessage</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/DummyHttpMessage.html#DummyHttpMessage" title="org.apache.http.impl.entity.DummyHttpMessage">DummyHttpMessage</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpClient</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpClient.html#HttpClient" title="org.apache.http.testserver.HttpClient">HttpClient</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpServer</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpServer.html#HttpServer" title="org.apache.http.testserver.HttpServer">HttpServer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88461536</span>
        <i>(88.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpServer.WorkerThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/testserver/HttpServer.html#HttpServer.WorkerThread" title="org.apache.http.testserver.HttpServer.WorkerThread">HttpServer.WorkerThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8666667</span>
        <i>(86.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionInputBufferMock</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/SessionInputBufferMock.html#SessionInputBufferMock" title="org.apache.http.impl.SessionInputBufferMock">SessionInputBufferMock</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.65217394</span>
        <i>(65.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionOutputBufferMock</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/SessionOutputBufferMock.html#SessionOutputBufferMock" title="org.apache.http.impl.SessionOutputBufferMock">SessionOutputBufferMock</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8095238</span>
        <i>(81%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestAbstractHttpEntity.html#TestAbstractHttpEntity" title="org.apache.http.entity.TestAbstractHttpEntity">TestAbstractHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractMessage</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestAbstractMessage.html#TestAbstractMessage" title="org.apache.http.message.TestAbstractMessage">TestAbstractMessage</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9558824</span>
        <i>(95.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestAbstractMessage.TestHttpMessage</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestAbstractMessage.html#TestAbstractMessage.TestHttpMessage" title="org.apache.http.message.TestAbstractMessage.TestHttpMessage">TestAbstractMessage.TestHttpMessage</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/pool/TestBasicConnPool.html#TestBasicConnPool" title="org.apache.http.impl.pool.TestBasicConnPool">TestBasicConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicFuture</span>
            <a class="classlist" target="classPane" href="org/apache/http/concurrent/TestBasicFuture.html#TestBasicFuture" title="org.apache.http.concurrent.TestBasicFuture">TestBasicFuture</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHeaderElementIterator</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicHeaderElementIterator.html#TestBasicHeaderElementIterator" title="org.apache.http.message.TestBasicHeaderElementIterator">TestBasicHeaderElementIterator</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.902439</span>
        <i>(90.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHeaderIterator</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicHeaderIterator.html#TestBasicHeaderIterator" title="org.apache.http.message.TestBasicHeaderIterator">TestBasicHeaderIterator</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9791667</span>
        <i>(97.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHeaderValueFormatter</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicHeaderValueFormatter.html#TestBasicHeaderValueFormatter" title="org.apache.http.message.TestBasicHeaderValueFormatter">TestBasicHeaderValueFormatter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.93650794</span>
        <i>(93.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHeaderValueParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicHeaderValueParser.html#TestBasicHeaderValueParser" title="org.apache.http.message.TestBasicHeaderValueParser">TestBasicHeaderValueParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestBasicHttpEntity.html#TestBasicHttpEntity" title="org.apache.http.entity.TestBasicHttpEntity">TestBasicHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90909094</span>
        <i>(90.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHttpParams</span>
            <a class="classlist" target="classPane" href="org/apache/http/params/TestBasicHttpParams.html#TestBasicHttpParams" title="org.apache.http.params.TestBasicHttpParams">TestBasicHttpParams</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHttpProcessor</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestBasicHttpProcessor.html#TestBasicHttpProcessor" title="org.apache.http.protocol.TestBasicHttpProcessor">TestBasicHttpProcessor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98039216</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestBasicHttpProcessor.html#TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder" title="org.apache.http.protocol.TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder">TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicLineFormatter</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicLineFormatter.html#TestBasicLineFormatter" title="org.apache.http.message.TestBasicLineFormatter">TestBasicLineFormatter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8367347</span>
        <i>(83.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicLineParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicLineParser.html#TestBasicLineParser" title="org.apache.http.message.TestBasicLineParser">TestBasicLineParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8630137</span>
        <i>(86.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicMessages</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicMessages.html#TestBasicMessages" title="org.apache.http.message.TestBasicMessages">TestBasicMessages</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9268293</span>
        <i>(92.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicRequest</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/TestBasicRequest.html#TestBasicRequest" title="org.apache.http.impl.TestBasicRequest">TestBasicRequest</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9</span>
        <i>(90%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicTokenIterator</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBasicTokenIterator.html#TestBasicTokenIterator" title="org.apache.http.message.TestBasicTokenIterator">TestBasicTokenIterator</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9264706</span>
        <i>(92.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBufferedHeader</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestBufferedHeader.html#TestBufferedHeader" title="org.apache.http.message.TestBufferedHeader">TestBufferedHeader</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9787234</span>
        <i>(97.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBufferedHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestBufferedHttpEntity.html#TestBufferedHttpEntity" title="org.apache.http.entity.TestBufferedHttpEntity">TestBufferedHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96</span>
        <i>(96%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestByteArrayBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestByteArrayBuffer.html#TestByteArrayBuffer" title="org.apache.http.util.TestByteArrayBuffer">TestByteArrayBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9257143</span>
        <i>(92.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestByteArrayEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestByteArrayEntity.html#TestByteArrayEntity" title="org.apache.http.entity.TestByteArrayEntity">TestByteArrayEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97333336</span>
        <i>(97.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestCharArrayBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestCharArrayBuffer.html#TestCharArrayBuffer" title="org.apache.http.util.TestCharArrayBuffer">TestCharArrayBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.91555554</span>
        <i>(91.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestChunkCoding</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestChunkCoding.html#TestChunkCoding" title="org.apache.http.impl.io.TestChunkCoding">TestChunkCoding</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9116608</span>
        <i>(91.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestConnPool.html#TestConnPool" title="org.apache.http.pool.TestConnPool">TestConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9831933</span>
        <i>(98.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnPool.GetPoolEntryThread</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestConnPool.html#TestConnPool.GetPoolEntryThread" title="org.apache.http.pool.TestConnPool.GetPoolEntryThread">TestConnPool.GetPoolEntryThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">TestConnPool.LocalConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestConnPool.html#TestConnPool.LocalConnPool" title="org.apache.http.pool.TestConnPool.LocalConnPool">TestConnPool.LocalConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestConnPool.LocalPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestConnPool.html#TestConnPool.LocalPoolEntry" title="org.apache.http.pool.TestConnPool.LocalPoolEntry">TestConnPool.LocalPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentLengthInputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestContentLengthInputStream.html#TestContentLengthInputStream" title="org.apache.http.impl.io.TestContentLengthInputStream">TestContentLengthInputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90140843</span>
        <i>(90.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentLengthOutputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestContentLengthOutputStream.html#TestContentLengthOutputStream" title="org.apache.http.impl.io.TestContentLengthOutputStream">TestContentLengthOutputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8918919</span>
        <i>(89.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestContentType</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestContentType.html#TestContentType" title="org.apache.http.entity.TestContentType">TestContentType</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8888889</span>
        <i>(88.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultConnectionReuseStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/TestDefaultConnectionReuseStrategy.html#TestDefaultConnectionReuseStrategy" title="org.apache.http.impl.TestDefaultConnectionReuseStrategy">TestDefaultConnectionReuseStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDefaultedHttpParams</span>
            <a class="classlist" target="classPane" href="org/apache/http/params/TestDefaultedHttpParams.html#TestDefaultedHttpParams" title="org.apache.http.params.TestDefaultedHttpParams">TestDefaultedHttpParams</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestDisallowIdentityContentLengthStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/TestDisallowIdentityContentLengthStrategy.html#TestDisallowIdentityContentLengthStrategy" title="org.apache.http.impl.entity.TestDisallowIdentityContentLengthStrategy">TestDisallowIdentityContentLengthStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEncodingUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestEncodingUtils.html#TestEncodingUtils" title="org.apache.http.util.TestEncodingUtils">TestEncodingUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8791209</span>
        <i>(87.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEnglishReasonPhraseCatalog</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/TestEnglishReasonPhraseCatalog.html#TestEnglishReasonPhraseCatalog" title="org.apache.http.impl.TestEnglishReasonPhraseCatalog">TestEnglishReasonPhraseCatalog</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.87096775</span>
        <i>(87.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEntityDeserializer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/TestEntityDeserializer.html#TestEntityDeserializer" title="org.apache.http.impl.entity.TestEntityDeserializer">TestEntityDeserializer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9591837</span>
        <i>(95.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEntitySerializer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/TestEntitySerializer.html#TestEntitySerializer" title="org.apache.http.impl.entity.TestEntitySerializer">TestEntitySerializer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9230769</span>
        <i>(92.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEntityTemplate</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestEntityTemplate.html#TestEntityTemplate" title="org.apache.http.entity.TestEntityTemplate">TestEntityTemplate</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.87096775</span>
        <i>(87.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEntityUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestEntityUtils.html#TestEntityUtils" title="org.apache.http.util.TestEntityUtils">TestEntityUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9519231</span>
        <i>(95.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestEntityUtils.NullHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestEntityUtils.html#TestEntityUtils.NullHttpEntity" title="org.apache.http.util.TestEntityUtils.NullHttpEntity">TestEntityUtils.NullHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestFileEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestFileEntity.html#TestFileEntity" title="org.apache.http.entity.TestFileEntity">TestFileEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8636364</span>
        <i>(86.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHeader</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestHeader.html#TestHeader" title="org.apache.http.message.TestHeader">TestHeader</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHeaderElement</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestHeaderElement.html#TestHeaderElement" title="org.apache.http.message.TestHeaderElement">TestHeaderElement</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9672131</span>
        <i>(96.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHeaderGroup</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestHeaderGroup.html#TestHeaderGroup" title="org.apache.http.message.TestHeaderGroup">TestHeaderGroup</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpEntityWrapper</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestHttpEntityWrapper.html#TestHttpEntityWrapper" title="org.apache.http.entity.TestHttpEntityWrapper">TestHttpEntityWrapper</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9583333</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpExceptions</span>
            <a class="classlist" target="classPane" href="org/apache/http/TestHttpExceptions.html#TestHttpExceptions" title="org.apache.http.TestHttpExceptions">TestHttpExceptions</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpExecutionContext</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestHttpExecutionContext.html#TestHttpExecutionContext" title="org.apache.http.protocol.TestHttpExecutionContext">TestHttpExecutionContext</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.92105263</span>
        <i>(92.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpHost</span>
            <a class="classlist" target="classPane" href="org/apache/http/TestHttpHost.html#TestHttpHost" title="org.apache.http.TestHttpHost">TestHttpHost</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9882353</span>
        <i>(98.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpRequestExecutor</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestHttpRequestExecutor.html#TestHttpRequestExecutor" title="org.apache.http.protocol.TestHttpRequestExecutor">TestHttpRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9312977</span>
        <i>(93.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpRequestHandlerRegistry</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestHttpRequestHandlerRegistry.html#TestHttpRequestHandlerRegistry" title="org.apache.http.protocol.TestHttpRequestHandlerRegistry">TestHttpRequestHandlerRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96825397</span>
        <i>(96.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpRequestHandlerRegistry.DummyHttpRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestHttpRequestHandlerRegistry.html#TestHttpRequestHandlerRegistry.DummyHttpRequestHandler" title="org.apache.http.protocol.TestHttpRequestHandlerRegistry.DummyHttpRequestHandler">TestHttpRequestHandlerRegistry.DummyHttpRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpService</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestHttpService.html#TestHttpService" title="org.apache.http.protocol.TestHttpService">TestHttpService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9876161</span>
        <i>(98.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpVersion</span>
            <a class="classlist" target="classPane" href="org/apache/http/TestHttpVersion.html#TestHttpVersion" title="org.apache.http.TestHttpVersion">TestHttpVersion</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96</span>
        <i>(96%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdentityInputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestIdentityInputStream.html#TestIdentityInputStream" title="org.apache.http.impl.io.TestIdentityInputStream">TestIdentityInputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.972973</span>
        <i>(97.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestIdentityOutputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestIdentityOutputStream.html#TestIdentityOutputStream" title="org.apache.http.impl.io.TestIdentityOutputStream">TestIdentityOutputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9032258</span>
        <i>(90.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestInputStreamEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestInputStreamEntity.html#TestInputStreamEntity" title="org.apache.http.entity.TestInputStreamEntity">TestInputStreamEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9512195</span>
        <i>(95.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestLangUtils</span>
            <a class="classlist" target="classPane" href="org/apache/http/util/TestLangUtils.html#TestLangUtils" title="org.apache.http.util.TestLangUtils">TestLangUtils</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestLaxContentLengthStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/TestLaxContentLengthStrategy.html#TestLaxContentLengthStrategy" title="org.apache.http.impl.entity.TestLaxContentLengthStrategy">TestLaxContentLengthStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9411765</span>
        <i>(94.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestMessageParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestMessageParser.html#TestMessageParser" title="org.apache.http.impl.io.TestMessageParser">TestMessageParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9268293</span>
        <i>(92.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNameValuePair</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestNameValuePair.html#TestNameValuePair" title="org.apache.http.message.TestNameValuePair">TestNameValuePair</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.969697</span>
        <i>(97%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestNoConnectionReuseStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/TestNoConnectionReuseStrategy.html#TestNoConnectionReuseStrategy" title="org.apache.http.impl.TestNoConnectionReuseStrategy">TestNoConnectionReuseStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestPoolEntry.html#TestPoolEntry" title="org.apache.http.pool.TestPoolEntry">TestPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9189189</span>
        <i>(91.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestPoolEntry.MockPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestPoolEntry.html#TestPoolEntry.MockPoolEntry" title="org.apache.http.pool.TestPoolEntry.MockPoolEntry">TestPoolEntry.MockPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.22222222</span>
        <i>(22.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestLine</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestRequestLine.html#TestRequestLine" title="org.apache.http.message.TestRequestLine">TestRequestLine</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9117647</span>
        <i>(91.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRequestParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestRequestParser.html#TestRequestParser" title="org.apache.http.impl.io.TestRequestParser">TestRequestParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90384614</span>
        <i>(90.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestResponseParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestResponseParser.html#TestResponseParser" title="org.apache.http.impl.io.TestResponseParser">TestResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90384614</span>
        <i>(90.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestRouteSpecificPool.html#TestRouteSpecificPool" title="org.apache.http.pool.TestRouteSpecificPool">TestRouteSpecificPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool.LocalPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestRouteSpecificPool.html#TestRouteSpecificPool.LocalPoolEntry" title="org.apache.http.pool.TestRouteSpecificPool.LocalPoolEntry">TestRouteSpecificPool.LocalPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.71428573</span>
        <i>(71.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestRouteSpecificPool.LocalRoutePool</span>
            <a class="classlist" target="classPane" href="org/apache/http/pool/TestRouteSpecificPool.html#TestRouteSpecificPool.LocalRoutePool" title="org.apache.http.pool.TestRouteSpecificPool.LocalRoutePool">TestRouteSpecificPool.LocalRoutePool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSerializableEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestSerializableEntity.html#TestSerializableEntity" title="org.apache.http.entity.TestSerializableEntity">TestSerializableEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9423077</span>
        <i>(94.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSerializableEntity.SerializableObject</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestSerializableEntity.html#TestSerializableEntity.SerializableObject" title="org.apache.http.entity.TestSerializableEntity.SerializableObject">TestSerializableEntity.SerializableObject</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSessionBuffers</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestSessionBuffers.html#TestSessionBuffers" title="org.apache.http.impl.io.TestSessionBuffers">TestSessionBuffers</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95768374</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSocketOutputBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TestSocketOutputBuffer.html#TestSocketOutputBuffer" title="org.apache.http.impl.io.TestSocketOutputBuffer">TestSocketOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStandardInterceptors</span>
            <a class="classlist" target="classPane" href="org/apache/http/protocol/TestStandardInterceptors.html#TestStandardInterceptors" title="org.apache.http.protocol.TestStandardInterceptors">TestStandardInterceptors</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.97193503</span>
        <i>(97.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStatusLine</span>
            <a class="classlist" target="classPane" href="org/apache/http/message/TestStatusLine.html#TestStatusLine" title="org.apache.http.message.TestStatusLine">TestStatusLine</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9444444</span>
        <i>(94.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStrictContentLengthStrategy</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/entity/TestStrictContentLengthStrategy.html#TestStrictContentLengthStrategy" title="org.apache.http.impl.entity.TestStrictContentLengthStrategy">TestStrictContentLengthStrategy</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestStringEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/entity/TestStringEntity.html#TestStringEntity" title="org.apache.http.entity.TestStringEntity">TestStringEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9577465</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSyncHttp</span>
            <a class="classlist" target="classPane" href="org/apache/http/integration/TestSyncHttp.html#TestSyncHttp" title="org.apache.http.integration.TestSyncHttp">TestSyncHttp</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88073397</span>
        <i>(88.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestSyncHttp.RepeatingEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/integration/TestSyncHttp.html#TestSyncHttp.RepeatingEntity" title="org.apache.http.integration.TestSyncHttp.RepeatingEntity">TestSyncHttp.RepeatingEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6388889</span>
        <i>(63.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TimeoutByteArrayInputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/io/TimeoutByteArrayInputStream.html#TimeoutByteArrayInputStream" title="org.apache.http.impl.io.TimeoutByteArrayInputStream">TimeoutByteArrayInputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.54285717</span>
        <i>(54.3%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>